/*
 * $Log: not supported by cvs2svn $
 * Revision 1.10  2008/04/18 16:01:33  emery
 * Made defaults for path length cutoff zero for elimination of confusion.
 *
 * Revision 1.9  2008/04/18 15:42:02  emery
 * Added capability to sum path length of the three types of particles.
 * A low-energy cut-off can be user-provided in the geometry definition file.
 * Non-zero default values are assumed.
 *
 * Revision 1.8  2004/12/04 20:27:03  emery
 * Added axialDirection variable for the cylindrical geometry.
 * Now the concentric cylinders can be defined along one of
 * the three axes instead of just z. Mixing of directions in one
 * run is not allowed.
 *
 * Revision 1.7  2004/04/28 16:22:22  soliday
 * Updated so that the previous changes will compile.
 *
 * Revision 1.6  2002/08/14 21:58:38  soliday
 * Fixed compiler warning.
 *
 * Revision 1.5  1997/03/28 06:21:31  emery
 * Put in a non-zero default for the minimum deltaE/E
 * value. Previously, a zero default would not
 * allow the tracking of charge particle to proceed
 * because the allowed eenergy loss was zero.
 *
 * Revision 1.4  1996/11/20 22:11:12  emery
 * Added the five other e.m. fields to the block and
 * cylinder namelist.
 *
# Revision 1.3  1996/06/27  19:22:28  emery
# Added the variable maximumDeltaE which
# specifies the maximum allowed dE/E in a
# charged particle tracking step.
# Changed spelling of some variables.
#
# Revision 1.2  1996/05/30  22:23:39  emery
# added the $Log: not supported by cvs2svn $
# added the Revision 1.10  2008/04/18 16:01:33  emery
# added the Made defaults for path length cutoff zero for elimination of confusion.
# added the
# added the Revision 1.9  2008/04/18 15:42:02  emery
# added the Added capability to sum path length of the three types of particles.
# added the A low-energy cut-off can be user-provided in the geometry definition file.
# added the Non-zero default values are assumed.
# added the
# added the Revision 1.8  2004/12/04 20:27:03  emery
# added the Added axialDirection variable for the cylindrical geometry.
# added the Now the concentric cylinders can be defined along one of
# added the the three axes instead of just z. Mixing of directions in one
# added the run is not allowed.
# added the
# added the Revision 1.7  2004/04/28 16:22:22  soliday
# added the Updated so that the previous changes will compile.
# added the
# added the Revision 1.6  2002/08/14 21:58:38  soliday
# added the Fixed compiler warning.
# added the
# added the Revision 1.5  1997/03/28 06:21:31  emery
# added the Put in a non-zero default for the minimum deltaE/E
# added the value. Previously, a zero default would not
# added the allow the tracking of charge particle to proceed
# added the because the allowed eenergy loss was zero.
# added the
# added the Revision 1.4  1996/11/20 22:11:12  emery
# added the Added the five other e.m. fields to the block and
# added the cylinder namelist.
# added the
# Revision 1.3  1996/06/27  19:22:28  emery
# Added the variable maximumDeltaE which
# specifies the maximum allowed dE/E in a
# charged particle tracking step.
# Changed spelling of some variables.
# comment
# */
#namelist initial_coordinates struct
double x_cm = 0.0;
double xp = 0.0;
double y_cm = 0.0;
double yp = 0.0;
double z_cm = 0.0;
#end

#namelist cylinder struct
STRING label = NULL;
STRING material = NULL;
STRING axialDirection = "z";
double x_lower_cm = 0.0;
double x_upper_cm = 0.0;
double y_lower_cm = 0.0;
double y_upper_cm = 0.0;
double z_lower_cm = 0.0;
double z_upper_cm = 0.0;
double r_lower_cm = 0.0;
double r_upper_cm = 0.0;
double Bx = 0.0;
double By = 0.0;
double Bz = 0.0;
double Ex = 0.0;
double Ey = 0.0;
double Ez = 0.0;
long x_slices = 1;
long y_slices = 1;
long z_slices = 1;
long r_slices = 1;
STRING outputfile = NULL;
double photonEnergyCutoff = 0.0;        
double leptonEnergyCutoff = 0.0;
long split = 1;        
double minimumWeight = 0.0;
double maximumDeltaE = 0.02;
double electronPathLengthEnergyCutoff = 0;
double positronPathLengthEnergyCutoff = 0;
double photonPathLengthEnergyCutoff = 0;
#end

#namelist block struct
STRING label = NULL;
STRING material = NULL;
double x_lower_cm = 0.0;
double x_upper_cm = 0.0;
double y_lower_cm = 0.0;
double y_upper_cm = 0.0;
double z_lower_cm = 0.0;
double z_upper_cm = 0.0;
double Bx = 0.0;
double By = 0.0;
double Bz = 0.0;
double Ex = 0.0;
double Ey = 0.0;
double Ez = 0.0;
long x_slices = 1;
long y_slices = 1;
long z_slices = 1;
STRING outputfile = NULL;
double photonEnergyCutoff = 0.0;        
double leptonEnergyCutoff = 0.0;        
long split = 1;        
double minimumWeight = 0.0;
double maximumDeltaE = 0.02;
double electronPathLengthEnergyCutoff = 0;
double positronPathLengthEnergyCutoff = 0;
double photonPathLengthEnergyCutoff = 0;
#end
